
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.constructs package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.evaluation package" href="nl2declare.evaluation.html" />
    <link rel="prev" title="nl2declare.application package" href="nl2declare.application.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-constructs-package">
<h1>nl2declare.constructs package<a class="headerlink" href="#nl2declare-constructs-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.constructs.action">
<span id="nl2declare-constructs-action-module"></span><h2>nl2declare.constructs.action module<a class="headerlink" href="#module-nl2declare.constructs.action" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.constructs.action.Action">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.constructs.action.</span></span><span class="sig-name descname"><span class="pre">Action</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">verb</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verb_id</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">gstext</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/action.html#Action"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.action.Action" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.action.Action.action_str">
<span class="sig-name descname"><span class="pre">action_str</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/action.html#Action.action_str"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.action.Action.action_str" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.action.Action.set_verb">
<span class="sig-name descname"><span class="pre">set_verb</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">verb</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verb_id</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/action.html#Action.set_verb"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.action.Action.set_verb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.constructs.constraint_type">
<span id="nl2declare-constructs-constraint-type-module"></span><h2>nl2declare.constructs.constraint_type module<a class="headerlink" href="#module-nl2declare.constructs.constraint_type" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.constructs.constraint_type.</span></span><span class="sig-name descname"><span class="pre">ConstraintType</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">value</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">names</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">module</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">qualname</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">type</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">start</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">boundary</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/constraint_type.html#ConstraintType"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">Enum</span></code></p>
<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.ALTPRECEDENCE">
<span class="sig-name descname"><span class="pre">ALTPRECEDENCE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">2</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.ALTPRECEDENCE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.ATMOSTONCE">
<span class="sig-name descname"><span class="pre">ATMOSTONCE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">9</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.ATMOSTONCE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.END">
<span class="sig-name descname"><span class="pre">END</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">8</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.END" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.EXISTENCE">
<span class="sig-name descname"><span class="pre">EXISTENCE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">10</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.EXISTENCE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.INIT">
<span class="sig-name descname"><span class="pre">INIT</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">7</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.INIT" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.NOTRESPONSE">
<span class="sig-name descname"><span class="pre">NOTRESPONSE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">4</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.NOTRESPONSE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.NOTSUCCESSION">
<span class="sig-name descname"><span class="pre">NOTSUCCESSION</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">6</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.NOTSUCCESSION" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.PRECEDENCE">
<span class="sig-name descname"><span class="pre">PRECEDENCE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">1</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.PRECEDENCE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.RESPONSE">
<span class="sig-name descname"><span class="pre">RESPONSE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">3</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.RESPONSE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.SUCCESSION">
<span class="sig-name descname"><span class="pre">SUCCESSION</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">5</span></em><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.SUCCESSION" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.constraint_type.ConstraintType.get_type">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">get_type</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">s</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/constraint_type.html#ConstraintType.get_type"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.constraint_type.ConstraintType.get_type" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.constructs.declare_constraint">
<span id="nl2declare-constructs-declare-constraint-module"></span><h2>nl2declare.constructs.declare_constraint module<a class="headerlink" href="#module-nl2declare.constructs.declare_constraint" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.constructs.declare_constraint.DeclareConstraint">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.constructs.declare_constraint.</span></span><span class="sig-name descname"><span class="pre">DeclareConstraint</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">constraint_type</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">action_a</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">action_b</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">is_negative</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/declare_constraint.html#DeclareConstraint"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.declare_constraint.DeclareConstraint" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.declare_constraint.DeclareConstraint.are_equal">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">are_equal</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">a</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">gsa</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/declare_constraint.html#DeclareConstraint.are_equal"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.declare_constraint.DeclareConstraint.are_equal" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.declare_constraint.DeclareConstraint.equals_gs">
<span class="sig-name descname"><span class="pre">equals_gs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">gsc</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/declare_constraint.html#DeclareConstraint.equals_gs"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.declare_constraint.DeclareConstraint.equals_gs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.declare_constraint.DeclareConstraint.size">
<span class="sig-name descname"><span class="pre">size</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/declare_constraint.html#DeclareConstraint.size"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.declare_constraint.DeclareConstraint.size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.constructs.declare_model">
<span id="nl2declare-constructs-declare-model-module"></span><h2>nl2declare.constructs.declare_model module<a class="headerlink" href="#module-nl2declare.constructs.declare_model" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.constructs.declare_model.DeclareModel">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.constructs.declare_model.</span></span><span class="sig-name descname"><span class="pre">DeclareModel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">collection</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ID</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/declare_model.html#DeclareModel"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.declare_model.DeclareModel" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.declare_model.DeclareModel.get_size">
<span class="sig-name descname"><span class="pre">get_size</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/declare_model.html#DeclareModel.get_size"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.declare_model.DeclareModel.get_size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.constructs.interrelation">
<span id="nl2declare-constructs-interrelation-module"></span><h2>nl2declare.constructs.interrelation module<a class="headerlink" href="#module-nl2declare.constructs.interrelation" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.constructs.interrelation.Interrelation">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.constructs.interrelation.</span></span><span class="sig-name descname"><span class="pre">Interrelation</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">action_a</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">action_b</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">relation_type</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/interrelation.html#Interrelation"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.interrelation.Interrelation" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
</dd></dl>

</section>
<section id="module-nl2declare.constructs.noun_phrase">
<span id="nl2declare-constructs-noun-phrase-module"></span><h2>nl2declare.constructs.noun_phrase module<a class="headerlink" href="#module-nl2declare.constructs.noun_phrase" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.constructs.noun_phrase.NounPhrase">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.constructs.noun_phrase.</span></span><span class="sig-name descname"><span class="pre">NounPhrase</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">start_index</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">-</span> <span class="pre">1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">end_index</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">-</span> <span class="pre">1</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/noun_phrase.html#NounPhrase"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.noun_phrase.NounPhrase" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.noun_phrase.NounPhrase.in_span">
<span class="sig-name descname"><span class="pre">in_span</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">index</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/noun_phrase.html#NounPhrase.in_span"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.noun_phrase.NounPhrase.in_span" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.noun_phrase.NounPhrase.is_empty">
<span class="sig-name descname"><span class="pre">is_empty</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/noun_phrase.html#NounPhrase.is_empty"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.noun_phrase.NounPhrase.is_empty" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.constructs.relation_type">
<span id="nl2declare-constructs-relation-type-module"></span><h2>nl2declare.constructs.relation_type module<a class="headerlink" href="#module-nl2declare.constructs.relation_type" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.constructs.relation_type.RelationType">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.constructs.relation_type.</span></span><span class="sig-name descname"><span class="pre">RelationType</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">value</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">names</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">module</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">qualname</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">type</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">start</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">boundary</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/relation_type.html#RelationType"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.relation_type.RelationType" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">Enum</span></code></p>
<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.relation_type.RelationType.AND">
<span class="sig-name descname"><span class="pre">AND</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'AND'</span></em><a class="headerlink" href="#nl2declare.constructs.relation_type.RelationType.AND" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.relation_type.RelationType.FOLLOWS">
<span class="sig-name descname"><span class="pre">FOLLOWS</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'FOLLOWS'</span></em><a class="headerlink" href="#nl2declare.constructs.relation_type.RelationType.FOLLOWS" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.constructs.relation_type.RelationType.XOR">
<span class="sig-name descname"><span class="pre">XOR</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'XOR'</span></em><a class="headerlink" href="#nl2declare.constructs.relation_type.RelationType.XOR" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.constructs.text_model">
<span id="nl2declare-constructs-text-model-module"></span><h2>nl2declare.constructs.text_model module<a class="headerlink" href="#module-nl2declare.constructs.text_model" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.constructs.text_model.</span></span><span class="sig-name descname"><span class="pre">TextModel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.add_action">
<span class="sig-name descname"><span class="pre">add_action</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">a</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.add_action"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.add_action" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.add_action_id">
<span class="sig-name descname"><span class="pre">add_action_id</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">a</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">index</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.add_action_id"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.add_action_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.add_interrelation">
<span class="sig-name descname"><span class="pre">add_interrelation</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">rel</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.add_interrelation"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.add_interrelation" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.contains_interrelation">
<span class="sig-name descname"><span class="pre">contains_interrelation</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">rel</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.contains_interrelation"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.contains_interrelation" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.get_action_by_verb_id">
<span class="sig-name descname"><span class="pre">get_action_by_verb_id</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">index</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.get_action_by_verb_id"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.get_action_by_verb_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.get_noun_phrase_by_index">
<span class="sig-name descname"><span class="pre">get_noun_phrase_by_index</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">index</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.get_noun_phrase_by_index"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.get_noun_phrase_by_index" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.no_of_flow_actions">
<span class="sig-name descname"><span class="pre">no_of_flow_actions</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.no_of_flow_actions"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.no_of_flow_actions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.preceeding_actions">
<span class="sig-name descname"><span class="pre">preceeding_actions</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">a</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.preceeding_actions"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.preceeding_actions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.constructs.text_model.TextModel.succeeding_actions">
<span class="sig-name descname"><span class="pre">succeeding_actions</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">a</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/constructs/text_model.html#TextModel.succeeding_actions"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.constructs.text_model.TextModel.succeeding_actions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.constructs">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.constructs" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
      <li>Previous: <a href="nl2declare.application.html" title="previous chapter">nl2declare.application package</a></li>
      <li>Next: <a href="nl2declare.evaluation.html" title="next chapter">nl2declare.evaluation package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.constructs.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>